Game Develop C++ Platform: CppPlatform Class Reference

| Game Develop C++ Platform Platform for developing native games based on OpenGL and SFML with Game Develop

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Groups Pages
Public Member Functions | Static Public Member Functions | List of all members
CppPlatform Class Reference

Game Develop C++ Platform. More...

`#include <CppPlatform.h>`

Inheritance diagram for CppPlatform:
[legend]
Collaboration diagram for CppPlatform:
[legend]

## Public Member Functions

virtual std::string | GetName () const
boost::shared_ptr< RuntimeObject > | CreateRuntimeObject (RuntimeScene &scene, gd::Object &object)
| Create a RuntimeObject from a gd::Object for a scene. More...
bool | AddExtension (boost::shared_ptr< gd::PlatformExtension > platformExtension)
| Our platform need to do a bit of extra work when adding an extension ( i.e : Storing pointers to creation/destruction functions ).
virtual std::string | GetExtensionCreateFunctionName ()
| The name of the function searched in an extension file to create the extension.
virtual std::string | GetExtensionDestroyFunctionName ()
| The name of the function searched in an extension file to destroy the extension.

## Static Public Member Functions

static CppPlatform & | Get ()
| Get access to the CppPlatform instance. ( CppPlatform is a singleton ).
static void | DestroySingleton ()
| Destroy the singleton. More...

## Detailed Description

Game Develop C++ Platform.

Platform designed to be used to create 2D games based on SFML and OpenGL libraries for rendering, events being translated to C++ and then compiled using GCC.

## Member Function Documentation

boost::shared_ptr< RuntimeObject > CppPlatform::CreateRuntimeObject | ( | RuntimeScene & | scene,
|  | gd::Object & | object
| ) |  |

Create a RuntimeObject from a gd::Object for a scene.

Parameters

  scene | The scene the object is going to be used on.
  scene | The gd::Object the RuntimeObject must be based on.

void CppPlatform::DestroySingleton | ( | ) |  |

static

Destroy the singleton.

Note
  You do not need usually to call this method.

The documentation for this class was generated from the following files:

- CppPlatform.h
- CppPlatform.cpp